/*
 *	route.h
 *
 *	Routetables
 *
 */


struct route {
  struct route *r_link;
  struct route *r_rlink;
  int r_tid;
  int r_route;
  int r_flag;
};

extern struct route *routes;	/* from route.c */

/* r_flag bits */
#define RF_OK	1	/* ok to use this route */
#define RF_BAD  2	/* don't use this route */

void          route_init   __ProtoGlarp__(( void ));
void          route_new    __ProtoGlarp__(( int tid, int route ));
struct route *route_find   __ProtoGlarp__(( int tid ));
void          route_free   __ProtoGlarp__(( struct route * ));
void          route_update __ProtoGlarp__(( int tid, int route ));
void	      route_dump   __ProtoGlarp__(( void ));

