#include <pthread.h>
 
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

#include <stdlib.h> 
#include <stdio.h>
#include <sys/time.h>

#include <errno.h>

#include <rpc/types.h> 
#include <rpc/xdr.h>

#include <string.h>
 
#include "monlib.h"

struct mon_list __pvm_ml;

int
main(argc, argv)
	int argc;
	char **argv;
{
	int i, n;
	struct mon_data md;
	struct timespec stime, etime;

	mon_createthread(&__pvm_ml);
	for (i = 0; i < 20; i++) {
		gettimeofday((struct timeval *)&stime, NULL);
		sleep(1);
		gettimeofday((struct timeval *)&etime, NULL);
		mon_add_data(&__pvm_ml, MON_TYPE_SEND, i, i + 100, i / 2, &stime, &etime);
		/* printf("added data for %d\n", i); */
	}
	mon_terminatethread(&__pvm_ml);
	return 0;
}
